package org.greenstone.gatherer.remote;

import java.io.File;
import java.util.ArrayList;


/**
 */
public class ZipFiles
{
    static public void main(String[] args)
    {
	if (args.length < 3) {
	    System.err.println("Usage: ZipFiles <zip-file> <base-directory-path> (<files> ...)");
	    return;
	}

	String zip_file_path = args[0];
	String base_directory_path = args[1];
	ArrayList relative_file_paths_list = new ArrayList();
	for (int i = 2; i < args.length; i++) {
	    relative_file_paths_list.add(args[i]);
	}

	String[] relative_file_paths = (String[]) relative_file_paths_list.toArray(new String[0]);
	ZipTools.zipFiles(zip_file_path, base_directory_path, relative_file_paths);
    }
}
